libffmpeg-devel-2.0.6-1.mga4.i586.rpm


Advertisement

Description

libffmpeg-devel - Header files for the ffmpeg codec library

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libffmpeg-devel
Package version 2.0.6
Package release 1.mga4
Package architecture i586
Package type rpm
Installed size 800.44 KB
Download size 172.90 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
ffmpeg is a hyper fast realtime audio/video encoder, a streaming server
and a generic audio and video file converter.
It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.
Install libffmpeg-devel if you want to compile apps with ffmpeg support.

Alternatives

Package Version Architecture Repository
libffmpeg-devel-2.0.7-1.mga4.tainted.i586.rpm 2.0.7 i586 Mageia Tainted Updates
libffmpeg-devel-2.0.7-1.mga4.i586.rpm 2.0.7 i586 Mageia Core Updates
libffmpeg-devel-2.0.6-1.mga4.tainted.i586.rpm 2.0.6 i586 Mageia Tainted Updates
libffmpeg-devel-2.0.5-1.mga4.tainted.i586.rpm 2.0.5 i586 Mageia Tainted Updates
libffmpeg-devel-2.0.5-1.mga4.i586.rpm 2.0.5 i586 Mageia Core Updates
libffmpeg-devel-2.0.3-1.mga4.tainted.i586.rpm 2.0.3 i586 Mageia Tainted Updates
libffmpeg-devel-2.0.3-1.mga4.i586.rpm 2.0.3 i586 Mageia Core Updates
libffmpeg-devel-2.0.2-2.mga4.tainted.i586.rpm 2.0.2 i586 Mageia Tainted
libffmpeg-devel-2.0.2-2.mga4.i586.rpm 2.0.2 i586 Mageia Core
libffmpeg-devel - - -

Requires

Name Value
devel(libSDL-1.2) -
devel(libX11) -
devel(libXext) -
devel(libXfixes) -
devel(libasound) -
devel(libass) -
devel(libavcodec) -
devel(libavfilter) -
devel(libavformat) -
devel(libavutil) -
devel(libbz2) -
devel(libcdio_cdda) -
devel(libcdio_paranoia) -
devel(libcelt0) -
devel(libdc1394) -
devel(libdl) -
devel(libfreetype) -
devel(libgnutls) -
devel(libgsm) -
devel(libjack) -
devel(libm) -
devel(libmodplug) -
devel(libnut) -
devel(libopenjpeg) -
devel(libopus) -
devel(libpostproc) -
devel(libpulse) -
devel(libpulse-simple) -
devel(librtmp) -
devel(libschroedinger-1.0) -
devel(libspeex) -
devel(libswresample) -
devel(libswscale) -
devel(libtheoradec) -
devel(libtheoraenc) -
devel(libtwolame) -
devel(libv4l2) -
devel(libva) -
devel(libvorbis) -
devel(libvorbisenc) -
devel(libvpx) -
devel(libxavs) -
devel(libz) -
libavcodec55 == 2.0.6-1.mga4
libavfilter3 == 2.0.6-1.mga4
libavformat55 == 2.0.6-1.mga4
libavutil52 == 2.0.6-1.mga4
libpostproc52 == 2.0.6-1.mga4
libswresample0 == 2.0.6-1.mga4
libswscaler2 == 2.0.6-1.mga4
pkgconfig -
pkgconfig(libavcodec) == 55.18.102
pkgconfig(libavfilter) == 3.79.101
pkgconfig(libavformat) == 55.12.100
pkgconfig(libavutil) == 52.38.100
pkgconfig(libpostproc) == 52.3.100
pkgconfig(libswresample) == 0.17.102
pkgconfig(libswscale) == 2.3.100

Provides

Name Value
devel(libavcodec) -
devel(libavdevice) -
devel(libavfilter) -
devel(libavformat) -
devel(libavutil) -
devel(libpostproc) -
devel(libswresample) -
devel(libswscale) -
ffmpeg-devel == 2.0.6-1.mga4
libffmpeg-devel == 2.0.6-1.mga4
libffmpeg-devel(x86-32) == 2.0.6-1.mga4
pkgconfig(libavcodec) == 55.18.102
pkgconfig(libavdevice) == 55.3.100
pkgconfig(libavfilter) == 3.79.101
pkgconfig(libavformat) == 55.12.100
pkgconfig(libavutil) == 52.38.100
pkgconfig(libpostproc) == 52.3.100
pkgconfig(libswresample) == 0.17.102
pkgconfig(libswscale) == 2.3.100

Obsoletes

Name Value
libffmpeg51-devel -

Download

Type URL
Binary Package libffmpeg-devel-2.0.6-1.mga4.i586.rpm
Source Package ffmpeg-2.0.6-1.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libffmpeg-devel rpm package:
    # urpmi libffmpeg-devel

Files

Path
/usr/include/libavcodec/avcodec.h
/usr/include/libavcodec/avfft.h
/usr/include/libavcodec/dxva2.h
/usr/include/libavcodec/old_codec_ids.h
/usr/include/libavcodec/vaapi.h
/usr/include/libavcodec/vda.h
/usr/include/libavcodec/vdpau.h
/usr/include/libavcodec/version.h
/usr/include/libavcodec/xvmc.h
/usr/include/libavdevice/avdevice.h
/usr/include/libavdevice/version.h
/usr/include/libavfilter/asrc_abuffer.h
/usr/include/libavfilter/avcodec.h
/usr/include/libavfilter/avfilter.h
/usr/include/libavfilter/avfiltergraph.h
/usr/include/libavfilter/buffersink.h
/usr/include/libavfilter/buffersrc.h
/usr/include/libavfilter/version.h
/usr/include/libavformat/avformat.h
/usr/include/libavformat/avio.h
/usr/include/libavformat/version.h
/usr/include/libavutil/adler32.h
/usr/include/libavutil/aes.h
/usr/include/libavutil/attributes.h
/usr/include/libavutil/audio_fifo.h
/usr/include/libavutil/audioconvert.h
/usr/include/libavutil/avassert.h
/usr/include/libavutil/avconfig.h
/usr/include/libavutil/avstring.h
/usr/include/libavutil/avutil.h
/usr/include/libavutil/base64.h
/usr/include/libavutil/blowfish.h
/usr/include/libavutil/bprint.h
/usr/include/libavutil/bswap.h
/usr/include/libavutil/buffer.h
/usr/include/libavutil/channel_layout.h
/usr/include/libavutil/common.h
/usr/include/libavutil/cpu.h
/usr/include/libavutil/crc.h
/usr/include/libavutil/dict.h
/usr/include/libavutil/error.h
/usr/include/libavutil/eval.h
/usr/include/libavutil/fifo.h
/usr/include/libavutil/file.h
/usr/include/libavutil/frame.h
/usr/include/libavutil/hmac.h
/usr/include/libavutil/imgutils.h
/usr/include/libavutil/intfloat.h
/usr/include/libavutil/intfloat_readwrite.h
/usr/include/libavutil/intreadwrite.h
/usr/include/libavutil/lfg.h
/usr/include/libavutil/log.h
/usr/include/libavutil/lzo.h
/usr/include/libavutil/mathematics.h
/usr/include/libavutil/md5.h
/usr/include/libavutil/mem.h
/usr/include/libavutil/murmur3.h
/usr/include/libavutil/old_pix_fmts.h
/usr/include/libavutil/opt.h
/usr/include/libavutil/parseutils.h
/usr/include/libavutil/pixdesc.h
/usr/include/libavutil/pixfmt.h
/usr/include/libavutil/random_seed.h
/usr/include/libavutil/rational.h
/usr/include/libavutil/ripemd.h
/usr/include/libavutil/samplefmt.h
/usr/include/libavutil/sha.h
/usr/include/libavutil/sha512.h
/usr/include/libavutil/time.h
/usr/include/libavutil/timecode.h
/usr/include/libavutil/timestamp.h
/usr/include/libavutil/version.h
/usr/include/libavutil/xtea.h
/usr/include/libpostproc/postprocess.h
/usr/include/libpostproc/version.h
/usr/include/libswresample/swresample.h
/usr/include/libswresample/version.h
/usr/include/libswscale/swscale.h
/usr/include/libswscale/version.h
/usr/lib/libavcodec.so
/usr/lib/libavdevice.so
/usr/lib/libavfilter.so
/usr/lib/libavformat.so
/usr/lib/libavutil.so
/usr/lib/libpostproc.so
/usr/lib/libswresample.so
/usr/lib/libswscale.so
/usr/lib/pkgconfig/libavcodec.pc
/usr/lib/pkgconfig/libavdevice.pc
/usr/lib/pkgconfig/libavfilter.pc
/usr/lib/pkgconfig/libavformat.pc
/usr/lib/pkgconfig/libavutil.pc
/usr/lib/pkgconfig/libpostproc.pc
/usr/lib/pkgconfig/libswresample.pc
/usr/lib/pkgconfig/libswscale.pc
/usr/share/doc/libffmpeg-devel/APIchanges
/usr/share/man/man3/libavcodec.3.xz
/usr/share/man/man3/libavdevice.3.xz
/usr/share/man/man3/libavfilter.3.xz
/usr/share/man/man3/libavformat.3.xz
/usr/share/man/man3/libavutil.3.xz
/usr/share/man/man3/libswresample.3.xz
/usr/share/man/man3/libswscale.3.xz

Changelog

See ffmpeg-2.0.6-1.mga4.i586.rpm changelog.

See Also

Package Description
libffmpeg-static-devel-2.0.3-1.mga4.i586.rpm Static library for the ffmpeg codec library
libffmpeg-static-devel-2.0.5-1.mga4.i586.rpm Static library for the ffmpeg codec library
libffmpeg-static-devel-2.0.6-1.mga4.i586.rpm Static library for the ffmpeg codec library
libffmpeg-static-devel-2.0.7-1.mga4.i586.rpm Static library for the ffmpeg codec library
libfiletap0-1.12.7-1.mga4.i586.rpm Packet-capture library for wireshark
libfinch0-2.10.10-1.mga4.i586.rpm The libgnt library for the Finch IM client
libfinch0-2.10.11-1.mga4.i586.rpm The libgnt library for the Finch IM client
libfinch0-2.10.9-1.1.mga4.i586.rpm The libgnt library for the Finch IM client
libfinch0-2.10.9-1.mga4.i586.rpm The libgnt library for the Finch IM client
libflac++-devel-1.3.0-2.1.mga4.i586.rpm Libraries and headers needed for building apps using FLAC++
libflac++-devel-1.3.0-2.2.mga4.i586.rpm Libraries and headers needed for building apps using FLAC++
libflac++6-1.3.0-2.1.mga4.i586.rpm Shared C++ libraries for FLAC
libflac++6-1.3.0-2.2.mga4.i586.rpm Shared C++ libraries for FLAC
libflac-devel-1.3.0-2.1.mga4.i586.rpm Libraries and headers needed for building apps using FLAC
libflac-devel-1.3.0-2.2.mga4.i586.rpm Libraries and headers needed for building apps using FLAC
Advertisement
Advertisement